import BaseMap from "./providers/BaseMap";
import {DrupalMapInterface} from "../types";
import Location from "./Location";
import MapPoint from "./MapPoint";
import MapIcon from "./MapIcon";
import Subscriber from "./Subscriber";
import SimpleMap from "./modules/simple/SimpleMap";

export default {

  Subscriber: Subscriber,

  Map: BaseMap,

  MapPoint: MapPoint,

  Location: Location,

  MapIcon: MapIcon,

  instances: new Map(),

  providers: {},

  modules: {
    SimpleMap: SimpleMap,
  },

} as DrupalMapInterface;
